# Class SkyMatch2Mapping

java.lang.Object
uk.ac.starlink.ttools.join.Match2Mapping
uk.ac.starlink.ttools.join.SkyMatch2Mapping

All Implemented Interfaces:
  `TableMapping`

public class SkyMatch2Mapping extends Match2Mapping
Match2Mapping subclass specific to sky matching.

Since:
  6 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyMatch2Mapping(uk.ac.starlink.table.join.FixedSkyMatchEngine.InDegrees matcher, String raExpr1, String decExpr1, String raExpr2, String decExpr2, uk.ac.starlink.table.join.JoinType join, uk.ac.starlink.table.join.PairMode pairMode, uk.ac.starlink.table.JoinFixAction fixact1, uk.ac.starlink.table.JoinFixAction fixact2, uk.ac.starlink.table.join.ProgressIndicator progger, uk.ac.starlink.table.RowRunner runner)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.table.StarTable`
`makeSubTable(uk.ac.starlink.table.StarTable inTable, String[] exprTuple)`
Creates a table containing the values which are required by the matcher.

### Methods inherited from class Match2Mapping

`mapTables`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyMatch2Mapping

public SkyMatch2Mapping(uk.ac.starlink.table.join.FixedSkyMatchEngine.InDegrees matcher, String raExpr1, String decExpr1, String raExpr2, String decExpr2, uk.ac.starlink.table.join.JoinType join, uk.ac.starlink.table.join.PairMode pairMode, uk.ac.starlink.table.JoinFixAction fixact1, uk.ac.starlink.table.JoinFixAction fixact2, uk.ac.starlink.table.join.ProgressIndicator progger, uk.ac.starlink.table.RowRunner runner)
Constructor.

Parameters:
  `matcher` - sky match engine
  `raExpr1` - JEL expression for right ascension/degrees in table 1 - if null, a guess is made
  `decExpr1` - JEL expression for declination/degrees in table 1 - if null, a guess is made
  `raExpr2` - JEL expression for right ascension/degrees in table 2 - if null, a guess is made
  `decExpr2` - JEL expression for declination/degrees in table 2 - if null, a guess is made
  `join` - output row selection type
  `pairMode` - pair matching mode
  `fixact1` - deduplication fix action for first input table
  `fixact2` - deduplication fix action for second input table
  `progger` - progress indicator for match process
  `runner` - controls parallel implementation, or null for sequential

## Method Details

### makeSubTable

protected uk.ac.starlink.table.StarTable makeSubTable(uk.ac.starlink.table.StarTable inTable, String[] exprTuple) throws uk.ac.starlink.task.ExecutionException
Description copied from class: `Match2Mapping`
Creates a table containing the values which are required by the matcher. This typically consists of a few of the columns from the input table, but in general may come from any JEL expression based on them. Because JEL compilation is performed here, an exception (rethrown as an ExecutionException) may occur.

Overrides:
  `makeSubTable` in class `Match2Mapping`
Parameters:
  `inTable` - input table
  `exprTuple` - array of JEL expressions giving the values of the tuple elements required for the matcher
Returns:
  table containing only a column for each tuple element required for the matcher
Throws:
  `uk.ac.starlink.task.ExecutionException` - if a compilation error occurs